org.jfree.chart.renderer.xy

## Class XYItemRendererState

- java.lang.Object
- - org.jfree.chart.renderer.RendererState
  - - org.jfree.chart.renderer.xy.XYItemRendererState

Direct Known Subclasses:
  SamplingXYLineRenderer.State, StandardXYItemRenderer.State, XYBarRenderer.XYBarRendererState, XYLineAndShapeRenderer.State

    public class XYItemRendererState
    extends RendererState

The state for an `XYItemRenderer`.

### Field Summary

Fields
`java.awt.geom.Line2D` `workingLine` A line object that the renderer can reuse to save instantiating a lot of objects.

### Constructor Summary

Constructors
Constructor and Description
`XYItemRendererState(PlotRenderingInfo info)` Creates a new state.

### Method Summary

Methods
`void` `endSeriesPass(XYDataset dataset, int series, int firstItem, int lastItem, int pass, int passCount)` This method is called by the `XYPlot` when it ends a pass through the (visible) items in a series.
`int` `getFirstItemIndex()` Returns the first item index (this is updated with each call to `startSeriesPass(XYDataset, int, int, int, int, int)`.
`int` `getLastItemIndex()` Returns the last item index (this is updated with each call to `startSeriesPass(XYDataset, int, int, int, int, int)`.
`boolean` `getProcessVisibleItemsOnly()` Returns the flag that controls whether the plot passes all data items in each series to the renderer, or just the visible items.
`void` `setProcessVisibleItemsOnly(boolean flag)` Sets the flag that controls whether the plot passes all data items in each series to the renderer, or just the visible items.
`void` `startSeriesPass(XYDataset dataset, int series, int firstItem, int lastItem, int pass, int passCount)` This method is called by the `XYPlot` when it starts a pass through the (visible) items in a series.

### Methods inherited from class org.jfree.chart.renderer.RendererState

`getEntityCollection, getInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### workingLine

    public java.awt.geom.Line2D workingLine

A line object that the renderer can reuse to save instantiating a lot of objects.

### Constructor Detail

#### XYItemRendererState

    public XYItemRendererState(PlotRenderingInfo info)

Creates a new state.

Parameters:
  `info` - the plot rendering info.

### Method Detail

#### getProcessVisibleItemsOnly

    public boolean getProcessVisibleItemsOnly()

Returns the flag that controls whether the plot passes all data items in each series to the renderer, or just the visible items. The default value is `true`.

Returns:
  A boolean.
Since:
  1.0.6
See Also:
  `setProcessVisibleItemsOnly(boolean)`

#### setProcessVisibleItemsOnly

    public void setProcessVisibleItemsOnly(boolean flag)

Sets the flag that controls whether the plot passes all data items in each series to the renderer, or just the visible items.

Parameters:
  `flag` - the new flag value.
Since:
  1.0.6

#### getFirstItemIndex

    public int getFirstItemIndex()

Returns the first item index (this is updated with each call to `startSeriesPass(XYDataset, int, int, int, int, int)`.

Returns:
  The first item index.
Since:
  1.0.11

#### getLastItemIndex

    public int getLastItemIndex()

Returns the last item index (this is updated with each call to `startSeriesPass(XYDataset, int, int, int, int, int)`.

Returns:
  The last item index.
Since:
  1.0.11

#### startSeriesPass

    public void startSeriesPass(XYDataset dataset,
                       int series,
                       int firstItem,
                       int lastItem,
                       int pass,
                       int passCount)

This method is called by the `XYPlot` when it starts a pass through the (visible) items in a series. The default implementation records the first and last item indices - override this method to implement additional specialised behaviour.

Parameters:
  `dataset` - the dataset.
  `series` - the series index.
  `firstItem` - the index of the first item in the series.
  `lastItem` - the index of the last item in the series.
  `pass` - the pass index.
  `passCount` - the number of passes.
Since:
  1.0.11
See Also:
  `endSeriesPass(XYDataset, int, int, int, int, int)`

#### endSeriesPass

    public void endSeriesPass(XYDataset dataset,
                     int series,
                     int firstItem,
                     int lastItem,
                     int pass,
                     int passCount)

This method is called by the `XYPlot` when it ends a pass through the (visible) items in a series. The default implementation does nothing, but you can override this method to implement specialised behaviour.

Parameters:
  `dataset` - the dataset.
  `series` - the series index.
  `firstItem` - the index of the first item in the series.
  `lastItem` - the index of the last item in the series.
  `pass` - the pass index.
  `passCount` - the number of passes.
Since:
  1.0.11
See Also:
  `startSeriesPass(XYDataset, int, int, int, int, int)`